Skip to content

Retrieve a team

Request

You can fetch the details of a single team, containing an array of admins that belong to this team.

Security
bearerAuth
Path
idstringrequired

The unique identifier of a given team.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/teams/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

successful

Bodyapplication/json
typestring

Value is always "team"

Example:"team"
idstring

The id of the team

Example:"814865"
namestring

The name of the team

Example:"Example Team"
admin_idsArray of integers

The list of admin IDs that are a part of the team.

Example:
[ 493881 ]
admin_priority_levelobject or null(Admin Priority Level)

Admin priority levels for the team

Response
{ "type": "team", "id": "991267661", "name": "team 1", "admin_ids": [] }